B2B Sales order Dispatch API
This API is intended for creating a Sales Order in ClickPost dispatch manager and optionally create a shipment post that.
Overview
Enterprises can use this API to import their sales orders from their ERP/WMS in ClickPost dispatch manager. Post importing, their warehouse/operations team can add additional details like Invoice info, box info on dispatch manager and proceed for carrier selection and shipment creation.
Additionally, this API also provides an option for automatic shipment creation where as soon as the necessary details are received, ClickPost automatically uses the best suited carrier to create the final shipment.
Things to note
- This API operates in 2 modes-
- AUTOMATIC- If the request_type field is set to AUTOMATIC, then the sales order will automatically proceed for carrier recommendation and then shipment creation. We will first hit the recommendation API to get the best suited carriers as per the configured allocation rules, pricing and TAT and then choose the first carrier in the priority list to create the shipment. In this case, user will not be able to edit any details like box info, invoice info, pickup and drop info in the dispatch manager.
- MANUAL- If the request_type field is set to MANUAL, then the sales order will reflect in the dispatch manager but carrier recommendation and shipment creation will not happen automatically. From the dispatch manager, user can edit edit any details like pickup and drop info, box info, invoice info and manually select a carrier and proceed for shipment creation.
- If request_type is AUTOMATIC then following details are mandatory in the payload
- Pickup and drop Info- Address, pincode, name, organisation, state, city, email, phone no, time, country or Location Code
- Box Info- Count, Length, breadth, height and weight of each box
- Invoice Info- Invoice number, date, value
- Reference number
- Sales Order info- Number and Date
- GST Info- Enterprise and consignee GSTIN (Not needed if location code is getting sent)
- If request_type is MANUAL then following details are mandatory in the payload
- Sales Order info- Number and Date
- If request_type=AUTOMATIC and courier_partner_id and account code fields are provided then shipment creation will be attempted with this carrier, otherwise carrier will be automatically chosen after recommendation.
- If request_type=AUTOMATIC, then the API runs in async mode. This means that initially you will only get an acknowledgement that the request has been received. You will have to poll the API using the GET API frequently to check if the shipment was created successfully or not. If the shipment is created successfully AWB number, box stickers, waybill copy will be returned in response.
- If request_type= MANUAL, then the API runs in sync mode and you will get the response immediately. You can use the GET API to get Sales Order details.
- We recommend that you choose one of these modes and use the same mode for all the requests instead of changing it a request level.
- If the request_type=MANUAL then this API can also be used to update an already created sales order. If you need to update an existing sales order, keep the sales order number same in the payload and send the rest of the details. Please note in case of update operation, we will completely override all the details as per the new payload. So send all the fields and not just the field where data has changed.
- This API also accepts the details required for Ewaybill generation. If Ewaybill generation is enabled for your account, ClickPost will use the
bill_from,bill_to,transaction_type, invoice tax details (supply type, sub supply type, document type, assessable value, tax rates, cess, other charges) and product details (HSN code, unit, cess non-advol amount, other charges) sent in this payload to generate the Ewaybill. Ifbill_fromandbill_toobjects are not sent, thenpickup_infoanddrop_infodetails are used as billing details respectively.
Geography
This is a standard API which supports all shipments created and transported within India.
Path
POST https://www.clickpost.in/api/v1/b2b-dispatch-management/sales-order
Query Params
Query Parameters to be passed directly in the URL.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
username | String | Mandatory | Username of the enterprise | 100 | "test-enterprise" |
key | String | Mandatory | Unique license key provided by Clickpost for the enterprise (This string is a UUID) | 100 | "Test-key" |
This API also works with token based authentication.
Sample Payload
{
"pickup_info": {
"name": "Mr Ramesh",
"phone": "999999999",
"district": "Chennai",
"city": "Chennai",
"landmark": "test_landmark",
"organisation": "test_organisation",
"state": "TamilNadu",
"time": "2022-10-27T11:52:36+0530",
"pincode": "600034",
"country": "India",
"address_type": null,
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"email": "[email protected]",
"vendor_code": "teste_vendor_code",
"location_code": null,
"tin": "test"
},
"drop_info": {
"organisation": "test_organisation",
"district": "Puducherry",
"address_type": null,
"vendor_code": null,
"name": "Mr Himesh",
"landmark": "test_landamrk",
"phone": "999999999",
"email": "[email protected]",
"city": "Puducherry",
"state": "Puducherry",
"pincode": "605001",
"country": "India",
"location_code": null,
"address": "104, Kamaraj Salai, "
},
"bill_from": {
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"city": "Chennai",
"pincode": "600034",
"state": "TamilNadu",
"legal_name": "test_organisation",
"trade_name": "test_trade_name",
"gstin": "33AAAAA0000A1Z5",
"name": "Mr Ramesh",
"phone": "999999999",
"email": "[email protected]",
"country": "India"
},
"bill_to": {
"address": "104, Kamaraj Salai, ",
"city": "Puducherry",
"pincode": "605001",
"state": "Puducherry",
"legal_name": "test_organisation",
"trade_name": "test_trade_name",
"gstin": "34BBBBB1111B1Z5",
"name": "Mr Himesh",
"phone": "999999999",
"email": "[email protected]",
"country": "India"
},
"sales_order_info": {
"order_number": "TEST1703-109",
"order_date": "2026-03-17",
"order_value": 500,
"order_quantity": 10,
"channel": "test-channel",
"source": "test-source"
},
"shipment_info": {
"request_type": "AUTOMATIC",
"awb_number": "TEST-1234",
"description": "This is a big shipment",
"reference_number": "TEST-17032026-109",
"courier_partner": 570,
"account_code": "Test02",
"cod_value": 0,
"order_type": "PREPAID",
"order_id": "TESTorder_id1",
"delivery_type": "FORWARD",
"weight": 3000,
"transaction_type": "Regular",
"invoice_info": [
{
"number": "inv-134",
"irn": "irn-1",
"value": 10000,
"date": "2024-09-30",
"base64": null,
"ewaybill_serial_number": "ewaybill-1",
"ewaybill_expiry_date": "2026-03-17",
"description": "Contains 36 qty",
"quantity": 20,
"supply_type": "Outward",
"sub_supply_type": "Supply",
"document_type": "Tax Invoice",
"assessable_value": 9500,
"cgst_percentage_rate": 9,
"sgst_percentage_rate": 9,
"igst_percentage_rate": 0,
"cess_nonadvol_amount": 0,
"cess_rate": 0,
"other_charges": 0
},
{
"number": "inv-2",
"irn": "irn-2",
"value": 10000,
"date": "2024-09-30",
"base64": null,
"ewaybill_serial_number": "ewaybill-2",
"ewaybill_expiry_date": "2026-03-17",
"description": "Contains 36 qty",
"quantity": 30,
"supply_type": "Outward",
"sub_supply_type": "Supply",
"document_type": "Tax Invoice",
"assessable_value": 9500,
"cgst_percentage_rate": 9,
"sgst_percentage_rate": 9,
"igst_percentage_rate": 0,
"cess_nonadvol_amount": 0,
"cess_rate": 0,
"other_charges": 0
}
],
"purchase_order_info": [
{
"number": "po-1",
"expiry_date": "2024-09-30",
"value": 200,
"quantity": 20,
"date": "2026-03-20"
},
{
"number": "po-2",
"expiry_date": "2024-09-30",
"value": 500,
"quantity": 50,
"date": "2026-03-20"
}
],
"box_info": [
{
"count": 1,
"reference_number_prefix": "Box1",
"height": 10,
"length": 10,
"weight": 10,
"breadth": 10,
"description": "test description",
"product_info": [
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": null,
"manufacturer_country": null,
"manufacturer_country_code": null,
"hsn_code": null,
"price": 10000,
"taxable_value": 100,
"cgst_percentage_rate": 2,
"cgst_amount": 200,
"sgst_percentage_rate": 3.5,
"sgst_amount": 100,
"igst_percentage_rate": 0.2,
"igst_amount": 300,
"cess_rate": 100,
"cess_amount": 300,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0,
"weight": 10,
"length": 40,
"breadth": 50,
"height": 60
},
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": null,
"manufacturer_country": null,
"manufacturer_country_code": null,
"hsn_code": null,
"price": 10000,
"taxable_value": 100,
"cgst_percentage_rate": 2,
"cgst_amount": 200,
"sgst_percentage_rate": 3.5,
"sgst_amount": 100,
"igst_percentage_rate": 0.2,
"igst_amount": 300,
"cess_rate": 100,
"cess_amount": 300,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0,
"weight": 10,
"length": 40,
"breadth": 50,
"height": 60
}
]
},
{
"count": 1,
"reference_number_prefix": "Box2",
"height": 10,
"length": 10,
"weight": 10,
"breadth": 10,
"description": "test description2",
"product_info": [
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": null,
"manufacturer_country": null,
"manufacturer_country_code": null,
"hsn_code": null,
"price": 10000,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0
},
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": null,
"manufacturer_country": null,
"manufacturer_country_code": null,
"hsn_code": null,
"price": 10000,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0
}
]
}
],
"gst_info": {
"seller_gstin": "SELLERGSTIN",
"enterprise_gstin": "ENTERPRISE_GST",
"taxable_value": 0,
"is_seller_registered_under_gst": null,
"place_of_supply": null,
"gst_discount": 0,
"gst_total_tax": 0,
"sgst_tax_rate": 0,
"sgst_amount": 0,
"igst_tax_rate": 0,
"igst_amount": 0,
"cgst_tax_rate": 0,
"cgst_amount": 0,
"consignee_gstin": "CONSIGNEEGST",
"sgst_total_tax": 0
},
"products_in_shipment": [
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": "productcat",
"manufacturer_country": "manufactur cat",
"manufacturer_country_code": null,
"hsn_code": "HSN-001",
"price": 10000,
"taxable_value": 100,
"cgst_percentage_rate": 2,
"cgst_amount": 200,
"sgst_percentage_rate": 3.5,
"sgst_amount": 100,
"igst_percentage_rate": 0.2,
"igst_amount": 300,
"cess_rate": 100,
"cess_amount": 300,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0,
"weight": 10,
"length": 40,
"breadth": 50,
"height": 60
},
{
"sku": "test_sku-2",
"sku_count": "200",
"description": "test description-2",
"product_category": null,
"manufacturer_country": null,
"manufacturer_country_code": null,
"hsn_code": null,
"price": 10000,
"taxable_value": 100,
"cgst_percentage_rate": 2,
"cgst_amount": 200,
"sgst_percentage_rate": 3.5,
"sgst_amount": 100,
"igst_percentage_rate": 0.2,
"igst_amount": 300,
"cess_rate": 100,
"cess_amount": 300,
"cess_nonadvol_amount": 0,
"unit": "NOS",
"other_charges": 0,
"weight": 10,
"length": 40,
"breadth": 50,
"height": 60
}
]
},
"appointment_info": {
"start_time": "2026-05-25T10:00:00+0530",
"end_time": "2026-05-25T12:00:00+0530",
"id": null
},
"additional_info": {
"return_info": {
"name": "CL-FC-CHN-PGR-Packing",
"phone": "999999999",
"district": "test_district",
"city": "Chennai",
"landmark": "test_landmark",
"organisation": "test_organisation",
"state": "TamilNadu",
"time": "2022-10-27T11:52:36",
"pincode": "600034",
"country": "India",
"address_type": null,
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"email": "[email protected]",
"vendor_code": "teste_vendor_code",
"location_code": null,
"tin": "test"
},
"is_label_required": true,
"is_box_sticker_required": true,
"is_multi_seller": false,
"is_async": true,
"zone": null,
"order_date": "2024-10-11",
"store_code": null,
"user_defined_field_array": [
{
"name": "udf_1",
"type": "String",
"value": null
}
]
}
}Payload Description
At a high level, this API payload contains these objects
- Pickup Info - Location and contact details of the consignor
- Drop Info- Location and contact details of the consignee
- Bill From Info- Official GSTIN registered details of the supplier (used for Ewaybill generation)
- Bill To Info- Official GSTIN registered details of the receiver (used for Ewaybill generation)
- Sales Order Info- Sales order details like number, value, date
- Shipment Info- Box, Invoice, products and Purchase Order details
- Appointment Info-Appointment details for marketplace deliveries
- Additional Info- Additional details like return info, user defined fields etc
Pickup Info (pickup_info)
pickup_info)| Field Name | Data Type | Field Type if request_type= AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
name | String | Mandatory | Optional | Contact name of the consignor of the shipment | 100 |
organisation | String | Mandatory | Optional | Name of the organisation | 100 |
address | String | Mandatory | Optional | Address of the pickup location | 500 |
district | String | Optional | Optional | District of the pickup location | 100 |
city | String | Mandatory | Optional | City of the pickup location | 100 |
state | String | Mandatory | Optional | State/province of the pickup location | 100 |
landmark | String | Optional | Optional | Landmarks to help find the pickup location | 500 |
email | String | Mandatory | Optional | Email of the pickup contact | 50 |
phone | String | Mandatory | Optional | Contact number of the pickup contact | 11 |
time | String | Mandatory | Optional | Time of pickup for the order (to be provided in YYYY-MM-DDTHH:MM:SS format only) For IST, keep the time in IST and add +0530 So if the pickup time is 2pm IST then it should be written as 2022-01-10T14:00:00+0530 | |
pincode | String | Mandatory | Optional | 6-digit Pin code of the pickup location | 6 |
country | String | Mandatory | Optional | Alpha ISO-2 country code of the pickup location. Only "IN" is accepted as input. | 2 |
tin | String | Optional | Optional | Taxpayer Identification Number (TIN) of the seller. In case the TIN is not available, the user may choose to enter the seller's GST number instead. | 100 |
address_type | String | Optional | Optional | Address type of the pickup address. Must be either OFFICE or RESIDENTIAL | 10 |
location_code | String | Conditional Mandatory | Optional | If the location master is active, then only send the location code of the pickup location as per LM. | |
vendor_code | String | Optional | Optional | Pickup vendor code that needs to be sent to the carrier. |
Drop Info (drop_info)
drop_info)| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
name | String | Mandatory | Optional | Contact name of the consignee of the shipment | 100 |
organisation | String | Mandatory | Optional | Name of the organisation | 100 |
address | String | Mandatory | Optional | Address of the drop location | 500 |
district | String | Optional | Optional | District of the drop location | 100 |
city | String | Mandatory | Optional | City of the drop location | 100 |
state | String | Mandatory | Optional | State/province of the drop location | 100 |
landmark | String | Optional | Optional | Landmarks to help find the drop location | 500 |
email | String | Mandatory | Optional | Email of the drop contact | 50 |
phone | String | Mandatory | Optional | Contact number of the drop contact | 11 |
pincode | String | Mandatory | Optional | 6-digit Pin code of the drop location | 6 |
country | String | Mandatory | Optional | Alpha ISO-2 country code of the drop location. Only "IN" is accepted as input. | 2 |
address_type | String | Optional | Optional | Address type of the drop address. Must be either OFFICE or RESIDENTIAL | 10 |
location_code | String | Conditional Mandatory | Optional | If the location master is active, then only send the location code of the drop location as per LM | |
vendor_code | String | Optional | Optional | Hub code of the drop address (if the drop address is a warehouse) | 50 |
Bill From (bill_from)
bill_from)Bill From represents the official GSTIN registered details of the supplier. In many transactions the dispatch happens from one of the warehouses of the supplier but the invoicing is done in the official registered name of the supplier. These details are stored and used for Ewaybill generation.
This object is optional. If this object is not sent then the pickup_info details are copied into bill_from. However, if this object is present in the payload then the fields marked as Mandatory below become mandatory.
| Field Name | Data Type | Field Type (if bill_from object is sent) | Description | Max Length | Example |
|---|---|---|---|---|---|
address | String | Mandatory | Registered address of the supplier as per GSTIN | 500 | "123, ABC Street" |
city | String | Mandatory | City of the billing address | 100 | "Chennai" |
pincode | String | Mandatory | 6-digit Pin code of the billing address | 6 | "600034" |
state | String | Mandatory | State/province of the billing address | 100 | "TamilNadu" |
legal_name | String | Mandatory | Legal name of the supplier as per GSTIN | 100 | "Acme Retail Pvt Ltd" |
trade_name | String | Mandatory | Trade name of the supplier as per GSTIN | 100 | "Acme Retail" |
gstin | String | Mandatory | GSTIN of the supplier. Can either be a 15 digit long GSTIN code or the phrase URP (URP stands for Unregistered Person). Only these 2 variations are accepted. | 15 | "33AAAAA0000A1Z5" |
name | String | Optional | Contact name of the supplier | 100 | "Mr Ramesh" |
phone | String | Optional | Contact number of the supplier | 11 | "9999999999" |
email | String | Optional | Email of the supplier | 50 | "[email protected]" |
country | String | Optional | Country of the billing address. If not given then IN is considered by default. | 100 | "India" |
Bill To (bill_to)
bill_to)Bill To represents the official GSTIN registered details of the receiver. In many transactions the delivery happens at one of the warehouses of the receiver but the invoicing is done in the official registered name of the receiver. These details are stored and used for Ewaybill generation.
This object is optional. If this object is not sent then the drop_info details are copied into bill_to. However, if this object is present in the payload then the fields marked as Mandatory below become mandatory.
| Field Name | Data Type | Field Type (if bill_to object is sent) | Description | Max Length | Example |
|---|---|---|---|---|---|
address | String | Mandatory | Registered address of the receiver as per GSTIN | 500 | "104, Kamaraj Salai" |
city | String | Mandatory | City of the billing address | 100 | "Puducherry" |
pincode | String | Mandatory | 6-digit Pin code of the billing address | 6 | "605001" |
state | String | Mandatory | State/province of the billing address | 100 | "Puducherry" |
legal_name | String | Mandatory | Legal name of the receiver as per GSTIN | 100 | "Beta Traders Pvt Ltd" |
trade_name | String | Mandatory | Trade name of the receiver as per GSTIN | 100 | "Beta Traders" |
gstin | String | Mandatory | GSTIN of the receiver. Can either be a 15 digit long GSTIN code or the phrase URP (URP stands for Unregistered Person). Only these 2 variations are accepted. | 15 | "34BBBBB1111B1Z5" |
name | String | Optional | Contact name of the receiver | 100 | "Mr Himesh" |
phone | String | Optional | Contact number of the receiver | 11 | "9999999999" |
email | String | Optional | Email of the receiver | 50 | "[email protected]" |
country | String | Optional | Country of the billing address. If not given then IN is considered by default. | 100 | "India" |
Sales Order Info (sales_order_info)
sales_order_info)| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
order_number | String | Mandatory | Mandatory | ||
order_date | Date YYYY-MM-DD | Mandatory | Mandatory | ||
order_value | Float | Optional | Optional | ||
order_quantity | Integer | Optional | Optional | ||
channel | String | Optional | Optional | ||
source | String | Optional | Optional |
Shipment Info (shipment_info)
shipment_info)In the 'shipment_info' object, the details regarding all boxes, and important order details like payment type, order type, courier partner, etc. are added.
| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
request_type | String. 2 possible values- AUTOMATIC or MANUAL | Mandatory | Optional | ||
awb_number | String | Optional | Optional | Pre-assigned AWB | |
description | String | Optional | Optional | Free text field for any notes related to the shipment | |
reference_number | String | Mandatory | Optional | Reference number of the order. Must be unique for every shipment, i.e. every call of this API. Note: For Bluedart, the reference number should not go beyond 20 characters, or else the AWB generation will fail | 20 |
courier_partner | Integer | Optional (if courier_partner) field is sent then the shipment will be created with the specific courier_partner otherwise courier will be chosen based on reccomendation API response. | Optional | Partner ID of the desired carrier. Refer to List of carriers supported by Clickpost to get the partner ID. | |
account_code | String | Optional (if account_code) field is sent then the shipment will be created with the specific courier_partner otherwise courier will be chosen based on reccomendation API response. | Optional | Courier partner account name configured on the Clickpost dashboard. Will return a 400 Bad Request response if the given account is inactive or does not exist. | 100 |
box_info | List | Mandatory | Optional | Details of all the boxes present in the shipment | |
weight | Integer | Optional | Optional | Weight of the complete shipment (gm) | |
cod_value | Float | Conditional Mandatory | Optional | Cash to be given to the courier. Must be non-zero for COD orders, and zero for PREPAID orders. | |
order_id | String | Optional | Optional | Identification string for the order | 100 |
order_type | String | Mandatory | Optional | Type of payment of the shipment. Can only take values "COD" or "PREPAID". cod_value must be non-zero for COD shipments and zero for PREPAID shipments. | 10 |
delivery_type | String | Mandatory | Optional | Type of delivery to be done. Can only take values "FORWARD" or "RVP". | 10 |
transaction_type | String | Conditional Mandatory (needed for ewaybill generation) | Optional | Type of transaction as per Ewaybill. This is used for Ewaybill generation. Can only take these 4 values-
Regular if not sent. | 30 |
invoice_info | List | Mandatory | Optional | Contains details of all the invoices linked to the shipment. You can provide details of multiple Invoice Numbers per shipment. | |
purchase_order_info | List | Optional | Optional | Contains details of all the purchase orders linked to the shipment. You can provide details of multiple Purchase Orders per shipment. | |
gst_info | Object | Mandatory | Optional | Tax details like GSTIN, tax rate etc | |
products_in_shipment | Array of objects | Optional | Optional | If you do not have the product details at box level you can use this array to pass product details at shipment level. Please refer product details section to see individual field details. This data is not stored in our db, its only used for sending to some carriers. |
Invoice Info(invoice_info)
invoice_info)| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
number | String | Mandatory | Optional | Unique Id number of the invoice | |
value | Float | Mandatory | Optional | Value of the shipment as mentioned in the invoice. | |
date | Date | Mandatory | Optional | Date of issuance of the invoice of the shipment. (YYYY-MM-DD format only) | |
base64 | String | Optional | Optional | A Base64 string representation of the invoice document file | |
ewaybill_serial_number | String | Conditional Optional | Optional | Ewaybill serial number of the invoice. It is needed when the invoice value is >=Rs 50K. Some carriers like VRL Logistics, SR Cargo, Xpressbees Cargo require this as a mandatory field so OC will fail without this. | |
ewaybill_expiry_date | Date | Optional | Optional | Expiry date of the Ewaybill | |
description | String | Optional | Optional | Invoice description, can be used to provide details about the invoice like quantity contained in the invoice | |
quantity | String | Optional | Optional | Total product quantity as per invoice | |
irn | String | Optional | Optional | Invoice reference number as per GST portal | |
supply_type | String | Conditional Mandatory (needed for ewaybill generation) | Optional | Type of supply as per Ewaybill. Can only take values Inward or Outward. Defaults to Outward if not sent. Used for Ewaybill generation. | |
sub_supply_type | String | Conditional Mandatory (needed for ewaybill generation) | Optional | Sub type of supply as per Ewaybill. Can only take these values- Supply, Import, Export, Job Work, For Own Use, Job work Returns, Sales Return, Others, SKD/CKD/Lots, Line Sales, Recipient Not Known, Exhibition or Fairs. Defaults to Supply if not sent. Used for Ewaybill generation. | |
document_type | String | Conditional Mandatory (needed for ewaybill generation) | Optional | Type of document as per Ewaybill. Can only take these values- Tax Invoice, Bill of Supply, Bill of Entry, Delivery Challan, Others. Defaults to Tax Invoice if not sent. Used for Ewaybill generation. | |
assessable_value | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | Taxable/assessable value of the invoice before tax (in INR). Used for Ewaybill generation. | |
cgst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | CGST tax rate (in %) applicable on the invoice. Used for Ewaybill generation. | |
sgst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | SGST tax rate (in %) applicable on the invoice. Used for Ewaybill generation. | |
igst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | IGST tax rate (in %) applicable on the invoice. Used for Ewaybill generation. | |
cess_rate | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | Cess rate (in %) applicable on the invoice. Used for Ewaybill generation. | |
cess_nonadvol_amount | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | Cess non-advol amount (in INR) applicable on the invoice. Used for Ewaybill generation. | |
other_charges | Float | Conditional Mandatory (needed for ewaybill generation) | Optional | Any other charges (in INR) applicable on the invoice. Used for Ewaybill generation. |
Purchase Order Info (purchase_order_info)
purchase_order_info)| Field Name | Data Type | Field Type if request_type=AUTOMATIC/MANUAL | Description | Max Length |
|---|---|---|---|---|
| number | String | Optional | Purchase order number | |
| expiry_date | Date YYYY-MM-DD | Optional | Date of expiry of the purchase order | |
| value | Float | Optional | PO Value | |
| quantity | Integer | Optional | Total product quantity as per PO | |
| date | Date YYYY-MM-DD | Optional | Date when the PO was issued |
Box Info (box_info)
box_info)| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length |
|---|---|---|---|---|---|
count | Integer | Mandatory | Optional | No. of identical boxes of a type. If each box has different attributes (like L,B, H, W, invoice etc) then keep count as 1. | |
reference_number_prefix | String | Conditional Optional. Read validation | Conditional Optional. Read validation | Unique identifier for a box | |
code | String | Conditional Optional | Optional | If box master is enabled then use the enter the box code in this field. If box master is not enabled then leave this field empty. | |
height | Integer | Mandatory | Optional | Height of the box in cm | |
length | Integer | Mandatory | Optional | Length of the box in cm | |
breadth | Integer | Mandatory | Optional | Breadth of the box in cm | |
weight | Integer | Mandatory | Optional | Dry weight of the box in gm | |
description | String | Optional | Optional | Description of the box | |
product_info | List | Optional | Optional | Details of the product contained in the box |
Product Info (product_info)
product_info)Each box can have multiple products. For each product provide the details in the product_info object. This object is optional.
| Field Name | Data Type | Field Type if request_type=MANUAL/AUTOMATIC | Description | Max Length | Example |
|---|---|---|---|---|---|
sku | String | Conditional Mandatory (needed for ewaybill generation) | SKU Code of the product | SKU-3467 | |
sku_count | Integer | Conditional Mandatory (needed for ewaybill generation) | No of products belonging to this SKU code | 12 | |
description | String | Optional | Description of the product | Red shoes | |
product_category | String | Optional | Product category | Footwear | |
manufacturer_country | String | Optional | India | ||
manufacturer_country_code | String | Optional | IN | ||
hsn_code | String | Conditional Mandatory (needed for ewaybill generation) | HSN code of the product. Can be a maximum of 8 digits. Used for Ewaybill generation. | 64039990 | |
price | Float | Conditional Mandatory (needed for ewaybill generation) | Price of each sku unit | 500 | |
taxable_value | Float | Conditional Mandatory (needed for ewaybill generation) | taxable value of the single SKU | ||
cgst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | |||
cgst_amount | Float | Conditional Mandatory (needed for ewaybill generation) | |||
sgst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | |||
sgst_amount | Float | Conditional Mandatory (needed for ewaybill generation) | |||
igst_percentage_rate | Float | Conditional Mandatory (needed for ewaybill generation) | |||
igst_amount | Float | Conditional Mandatory (needed for ewaybill generation) | |||
cess_rate | Float | Conditional Mandatory (needed for ewaybill generation) | |||
cess_amount | Float | Conditional Mandatory (needed for ewaybill generation) | |||
cess_nonadvol_amount | Float | Conditional Mandatory (needed for ewaybill generation) | Cess non-advol amount (in INR) applicable on the product. Used for Ewaybill generation. | 0 | |
unit | String | Conditional Mandatory (needed for ewaybill generation) | Unit of measurement of the product as per Ewaybill. Refer to the Ewaybill master codes list for the possible values. Used for Ewaybill generation. | NOS | |
other_charges | Float | Conditional Mandatory (needed for ewaybill generation) | Any other charges (in INR) applicable on the product. Used for Ewaybill generation. | 0 | |
weight | Float | Optional | |||
length | Float | Optional | |||
breadth | Float | Optional | |||
height | Float | Optional |
GST Info
| Field Name | Data Type | Field Type if request_type=AUTOMATIC | Field Type if request_type=MANUAL | Description | Max Length | Example |
|---|---|---|---|---|---|---|
| enterprise_gstin | String | Mandatory | OPTIONAL | GST No of enterprise shipping the shipment. If the location master is enabled then dont send separately. This will be fetched from location code. | 100 | |
| seller_gstin | String | Optional | Optional | GST No of seller sending the shipment (will be different from above for marketplaces) | 100 | |
| taxable_value | Float | Optional | Optional | Taxable amount for GST (in INR) | ||
| place_of_supply | String | Optional | Optional | Place of supply of the service or product. Please refer to https://cleartax.in/s/gst-state-code-jurisdiction for further details | 100 | |
| gst_discount | Float | Optional | Optional | Discount under GST, if any | ||
| gst_total_tax | Float | Optional | Optional | Total GST applicable for the shipment (in INR) | ||
| sgst_tax_rate | Float | Optional | Optional | Tax percent applicable for SGST for the shipment | ||
| sgst_amount | Float | Optional | Optional | SGST Amount levied on the shipment (in INR) | ||
| igst_amount | Float | Optional | Optional | Tax percent applicable for IGST for the shipment | ||
| igst_tax_rate | Float | Optional | Optional | IGST Amount levied on the shipment (in INR) | ||
| cgst_tax_rate | Float | Optional | Optional | Tax percent applicable for CGST for the shipment | ||
| cgst_amount | Float | Optional | Optional | CGST Amount levied on the shipment (in INR) | ||
| consignee_gstin | String | Mandatory | Optional | GST No of consignee. If the location master is enabled then dont send separately. This will be fetched from location code. |
Appointment Info
This is an optional object inside the shipment_info object. If you do appointment based deliveries in qcommerce and ecommerce marketplaces then you can provide appointment details here and the same can be communicated to carriers over mail.
| Field Name | Data Type | Field Type if request_type=AUTOMATIC/MANUAL | Description | Max Length | Example |
|---|---|---|---|---|---|
| id | String | Optional | Appointment Id as received from the destination centre | ||
| start_time | Datetime | Optional | Appointment Start Time in IST Format- YYYY-MM-DDTHH:MM:SS+0530 | 2025-03-04T10:00:00+0530 | |
| end_time | Datetime | Optional | Appointment End Time in IST Format- YYYY-MM-DDTHH:MM:SS+0530 | 2025-03-04T14:00:00+0530 |
Additional Info
In the "additional" object optional fields can be passed which may be used by the courier partner, or give additional details for the order, e.g. Async/Sync order creation or whether label generation is needed.
| Field Name | Data Type | Field Type if request_type=AUTOMATIC/MANUAL | Description | Max Length | Example |
|---|---|---|---|---|---|
is_label_required | Boolean | Optional | Whether label is required for the order or not. Defaults to true. | ||
is_box_sticker_required | Boolean | Optional | If you need box stickers then pass true. Default value is true. | ||
is_async | Boolean | Optional | If you want synchronous flow then pass false. Default value is true. | ||
zone | String | Optional | Zone of the location of pickup | 100 | "XYZ Locality" |
is_multi_seller | Boolean | Optional |
| ||
return_info | Object | Optional | Details for the return address in case the delivery of the order fails or the order is returned. | ||
order_date | String | Optional | Date when the order was placed for this shipment. To be provided in Can also be sent in the DateTime format i.e. | 50 | "2022-12-15" or "2023-09-20T14:00:00" |
user_defined_field_array | List | Optional | This object provides additional fields to the customers who wish to add custom details to their labels configured on Clickpost. The field values mentioned here can be accessed via the This list can only accept at max 4 objects. | |
If you want box stickers and label then go with asynchronous flow. Keep is_async field as true and is_box_sticker_required field also as true.
Return Info
In the optional return_info object, the details for the return address is to be provided. The details are particularly useful in case of a failed delivery or product return due to other reasons. If the return info is not sent explicitly, then by default the system considers pickup info as return info.
| Field Name | Data Type | Field Type if request_type=AUTOMATIC/MANUA | Description | Max Length | Example |
|---|---|---|---|---|---|
name | String | Optional | Contact name of the consignor of the shipment | 100 | "Mukesh Kumar" |
organisation | String | Optional | Name of the organisation | 100 | "Walmart" |
address | String | Optional | Address of the return location | 500 | "123, ABC Street" |
district | String | Optional | District of the return location | 100 | "Nadia" |
city | String | Optional | City of the return location | 100 | "Mumbai City" |
state | String | Optional | State/province of the return location | 100 | "Maharashtra" |
landmark | String | Optional | Landmarks to help find the return location | 500 | "Near XYZ Towers" |
email | String | Optional | Email of the return contact | 50 | "[email protected]" |
phone | String | Optional | Contact number of the return contact | 11 | "9876543210" |
pincode | String | Optional | 6-digit Pin code of the return location | 6 | "400065" |
country | String | Optional | Alpha ISO-2 country code of the return location. Only "IN" is accepted as input. | 2 | "IN" |
tin | String | Optional | Taxpayer Identification Number (TIN) of the seller. In case the TIN is not available, the user may choose to enter the seller's GST number instead. | 100 | "TIN00001" |
address_type | String | Optional | Address type of the pickup address. Must be either OFFICE or RESIDENTIAL | 10 | "OFFICE" |
location_code | String | Conditional Mandatory | If the location master is active, then only send the location code of the pickup location as per LM. | "Bhiwandi_wh_1" | |
vendor_code | String | Optional | Pickup vendor code that needs to be sent to the carrier. |
Sample Response of POST API
{
"meta": {
"status": 200,
"message": "Sales Order Persisted Successfully",
"success": true
},
"result": {}
}{
"meta": {
"status": 200,
"message": "Shipment Creation - In Progress",
"success": true
},
"result": {}
}{
"meta": {
"status": 400,
"message": "Validation failed",
"success": false,
"errors": {
"sales_order_info": {
"order_number": [
"This field may not be blank."
]
}
}
},
"result": null
}Sample Response of GET API
This API works in async mode if request_type=AUTOMATIC This means that initially you will only get an acknowledgement that the response has been received. You will have to poll the API using the below explained GET API frequently to check if the order was created successfully or not.
GET https://www.clickpost.in/api/v1/b2b-dispatch-management/sales-order?sales_order_number=O1234
To fetch the latest status of a sales order and check whether shipment has been created successfully or not pass the sales order number in the above API.
Please see the sample response below of this API.
{
"meta": {
"status": 200,
"message": "Sales order retrieved successfully - Order Creation is INPROCESS",
"success": true
},
"result": {}
}{
"meta": {
"status": 200,
"message": "Sales order retrieved successfully - Order Creation is SUCCESS",
"success": true
},
"result": {
"id": 4168,
"sales_order_number": "02345678",
"sales_order_date": "2026-03-17",
"sales_order_value": 500.0,
"sales_order_quantity": 10,
"box_stickers": {
"A6": "https://pyck-res-bucket.s3.amazonaws.com:443/1773987398.7439487/78e4443988/a6.pdf",
"A8": "https://pyck-res-bucket.s3.amazonaws.com:443/1773987399.3983932/783988/a8.pdf"
},
"label_url": "https://clickpost-label-mumbai.s3.amazonaws.com:443/SELF_FTL/2026-03-20/01213123-173444473987393.pdf",
"reference_number": "01213123",
"channel": "test-channel",
"order_type": "PREPAID",
"delivery_type": "FORWARD",
"courier_partner_pk": 280642,
"account_code_pk": 1002787,
"courier_partner": "Self FTL",
"parnter_id": 570,
"account_code": "Test02",
"carrier_account": "Self FTL - Test02",
"child_waybill_list": [
"01213123-0001",
"01213123-0002"
],
"uber_status_code": 2,
"pickup_date": null,
"shipment_creation_status": "SUCCESS",
"recommendation_status": "NOT-STARTED",
"shipment_failed_reason": "Order Creation Failed",
"recommendation_failed_reason": null,
"order_status": "AWBGENERATED",
"source": "test-source",
"cod_amount": 0.0,
"shipment_weight": 3000.0,
"shipment_weight_unit": null,
"created_at": "2026-03-19T11:48:50.722600+00:00",
"updated_at": "2026-03-20T06:16:32.967134+00:00",
"pickup_info": {
"id": 4040,
"enterprise_gstin": "Mr Ramesh",
"created_at": "2026-03-19T11:48:50.748863+00:00",
"updated_at": "2026-03-20T06:16:32.682495+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"time_format": null,
"time": "06:22",
"date": "2022-10-27",
"date_format": null,
"name": "Mr Ramesh",
"phone": "999999999",
"email": "[email protected]",
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"city": "Chennai",
"state": "TamilNadu",
"country": "India",
"pincode": "600034",
"organisation": "test_organisation",
"poc_name": "Mr Ramesh",
"poc_phone": "999999999",
"poc_email": "[email protected]"
},
"drop_info": {
"id": 3830,
"consignee_gstin": "test_organisation",
"created_at": "2026-03-19T11:48:50.761452+00:00",
"updated_at": "2026-03-20T06:16:32.704125+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"name": "Mr Himesh",
"phone": "999999999",
"email": "[email protected]",
"address": "104, Kamaraj Salai,",
"city": "Puducherry",
"state": "Puducherry",
"country": "India",
"pincode": "605001",
"organisation": "test_organisation",
"poc_name": "Mr Himesh",
"poc_phone": "999999999",
"poc_email": "[email protected]"
},
"total_box_count": 2,
"total_sku_count": 202,
"total_invoice_quantity": 50,
"total_invoice_value": 20000.0,
"invoice_number_list": [
"inv-134",
"inv-2"
],
"total_po_quantity": 70,
"total_po_value": 700.0,
"parent_purchase_orders": [],
"total_parent_po_quantity": 0,
"total_parent_po_value": 0,
"waybill": "01213123",
"products_in_shipment": [
{
"id": 1721,
"sku": "test_sku",
"sku_count": 2,
"sku_name": "test description",
"hsn_code": "HSN-001",
"manufacturer_country_code": null,
"manufacturer_country": "manufactur cat",
"description": "test description",
"product_category": "productcat",
"product_taxable_value": null,
"product_cgst_percentage_rate": null,
"product_cgst_amount": null,
"product_sgst_percentage_rate": null,
"product_sgst_amount": null,
"product_igst_percentage_rate": null,
"product_igst_amount": null,
"product_cess_rate": null,
"product_cess_amount": null,
"product_weight": null,
"product_length": null,
"product_breadth": null,
"product_height": null,
"product_unit": null
},
{
"id": 1722,
"sku": "test_sku-2",
"sku_count": 200,
"sku_name": "test description-2",
"hsn_code": null,
"manufacturer_country_code": null,
"manufacturer_country": null,
"description": "test description-2",
"product_category": null,
"product_taxable_value": null,
"product_cgst_percentage_rate": null,
"product_cgst_amount": null,
"product_sgst_percentage_rate": null,
"product_sgst_amount": null,
"product_igst_percentage_rate": null,
"product_igst_amount": null,
"product_cess_rate": null,
"product_cess_amount": null,
"product_weight": null,
"product_length": null,
"product_breadth": null,
"product_height": null,
"product_unit": null
}
],
"box_info": [
{
"id": 9832,
"count": 1,
"box_ref_number": null,
"length": 10.0,
"breadth": 10.0,
"weight": 10.0,
"height": 10.0,
"child_waybill": null,
"created_at": "2026-03-20T06:16:32.725894+00:00",
"updated_at": "2026-03-20T06:16:32.725910+00:00"
},
{
"id": 9833,
"count": 1,
"box_ref_number": null,
"length": 10.0,
"breadth": 10.0,
"weight": 10.0,
"height": 10.0,
"child_waybill": null,
"created_at": "2026-03-20T06:16:32.737899+00:00",
"updated_at": "2026-03-20T06:16:32.737910+00:00"
}
],
"invoice_info": [
{
"id": 5044,
"invoice_number": "inv-134",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 20,
"ewaybill_serial_number": "ewaybill-1",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-20T06:16:32.759428+00:00",
"updated_at": "2026-03-20T06:16:32.759441+00:00",
"irn": "irn-1"
},
{
"id": 5045,
"invoice_number": "inv-2",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 30,
"ewaybill_serial_number": "ewaybill-2",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-20T06:16:32.765446+00:00",
"updated_at": "2026-03-20T06:16:32.765456+00:00",
"irn": "irn-2"
}
],
"purchase_order_info": [
{
"id": 5504,
"po_number": "po-1",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 20,
"po_value": 200.0,
"created_at": "2026-03-20T06:16:32.777568+00:00",
"updated_at": "2026-03-20T06:16:32.777580+00:00"
},
{
"id": 5505,
"po_number": "po-2",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 50,
"po_value": 500.0,
"created_at": "2026-03-20T06:16:32.783603+00:00",
"updated_at": "2026-03-20T06:16:32.783614+00:00"
}
],
"appointment_info": [
{
"id": 525,
"appointment_id": null,
"appointment_start_time": "2026-05-25T04:30:00+00:00",
"appointment_end_time": "2026-05-25T06:30:00+00:00",
"created_at": "2026-03-19T11:48:50.826373+00:00",
"updated_at": "2026-03-20T06:16:32.791276+00:00"
}
]
}
}{
"meta": {
"status": 200,
"message": "Sales order retrieved successfully - Order Creation is NOT-STARTED",
"success": true
},
"result": {
"id": 4245,
"sales_order_number": "TEST23-9",
"sales_order_date": "2026-03-17",
"sales_order_value": 500.0,
"sales_order_quantity": 10,
"box_stickers": null,
"label_url": null,
"reference_number": "TEST-23032026-100078",
"channel": "test-channel",
"order_type": "PREPAID",
"delivery_type": "FORWARD",
"courier_partner_pk": 280642,
"account_code_pk": 1002787,
"courier_partner": "Self FTL",
"parnter_id": 570,
"account_code": "Test02",
"carrier_account": "Self FTL - Test02",
"child_waybill_list": [],
"uber_status_code": null,
"pickup_date": null,
"shipment_creation_status": "NOT-STARTED",
"recommendation_status": "NOT-STARTED",
"shipment_failed_reason": null,
"recommendation_failed_reason": null,
"order_status": "NEW",
"source": "test-source",
"cod_amount": 0.0,
"shipment_weight": 3000.0,
"shipment_weight_unit": null,
"created_at": "2026-03-23T10:34:58.902832+00:00",
"updated_at": "2026-03-23T10:34:58.902846+00:00",
"pickup_info": {
"id": 4117,
"enterprise_gstin": "test",
"created_at": "2026-03-23T10:34:58.917063+00:00",
"updated_at": "2026-03-23T10:34:58.917077+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"time_format": null,
"time": "06:22",
"date": "2022-10-27",
"date_format": null,
"name": "Mr Ramesh",
"phone": "999999999",
"email": "[email protected]",
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"city": "Chennai",
"state": "TamilNadu",
"country": "India",
"pincode": "600034",
"organisation": "test_organisation",
"poc_name": "Mr Ramesh",
"poc_phone": "999999999",
"poc_email": "[email protected]"
},
"drop_info": {
"id": 3906,
"consignee_gstin": "CONSIGNEEGST",
"created_at": "2026-03-23T10:34:58.923939+00:00",
"updated_at": "2026-03-23T10:34:58.923955+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"name": "Mr Himesh",
"phone": "999999999",
"email": "[email protected]",
"address": "104, Kamaraj Salai,",
"city": "Puducherry",
"state": "Puducherry",
"country": "India",
"pincode": "605001",
"organisation": "test_organisation",
"poc_name": "Mr Himesh",
"poc_phone": "999999999",
"poc_email": "[email protected]"
},
"total_box_count": 2,
"total_sku_count": 2,
"total_invoice_quantity": 50,
"total_invoice_value": 20000.0,
"invoice_number_list": [
"inv-134",
"inv-2"
],
"total_po_quantity": 70,
"total_po_value": 700.0,
"parent_purchase_orders": [],
"total_parent_po_quantity": 0,
"total_parent_po_value": 0,
"waybill": "TEST-1234",
"products_in_shipment": [
{
"id": 1802,
"sku": "test_sku",
"sku_count": 2,
"sku_name": null,
"hsn_code": "HSN-001",
"manufacturer_country_code": null,
"manufacturer_country": "manufactur cat",
"description": "test description",
"product_category": "productcat",
"product_taxable_value": 10000.0,
"product_cgst_percentage_rate": 2.0,
"product_cgst_amount": 200.0,
"product_sgst_percentage_rate": 3.5,
"product_sgst_amount": 100.0,
"product_igst_percentage_rate": 0.2,
"product_igst_amount": 300.0,
"product_cess_rate": 100.0,
"product_cess_amount": 300.0,
"product_weight": 10.0,
"product_length": 40.0,
"product_breadth": 50.0,
"product_height": 60.0,
"product_unit": null
}
],
"box_info": [
{
"id": 9963,
"count": 1,
"box_ref_number": null,
"length": 4.0,
"breadth": 5.0,
"weight": null,
"height": 6.0,
"child_waybill": null,
"created_at": "2026-03-23T10:34:58.937692+00:00",
"updated_at": "2026-03-23T10:34:58.937704+00:00"
},
{
"id": 9964,
"count": 1,
"box_ref_number": null,
"length": 10.0,
"breadth": 20.0,
"weight": null,
"height": 30.0,
"child_waybill": null,
"created_at": "2026-03-23T10:34:58.943706+00:00",
"updated_at": "2026-03-23T10:34:58.943716+00:00"
}
],
"invoice_info": [
{
"id": 5162,
"invoice_number": "inv-134",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 20,
"ewaybill_serial_number": "ewaybill-1",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-23T10:34:58.928649+00:00",
"updated_at": "2026-03-23T10:34:58.928662+00:00",
"irn": null
},
{
"id": 5163,
"invoice_number": "inv-2",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 30,
"ewaybill_serial_number": "ewaybill-2",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-23T10:34:58.931326+00:00",
"updated_at": "2026-03-23T10:34:58.931337+00:00",
"irn": null
}
],
"purchase_order_info": [
{
"id": 5622,
"po_number": "po-1",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 20,
"po_value": 200.0,
"created_at": "2026-03-23T10:34:58.933146+00:00",
"updated_at": "2026-03-23T10:34:58.933156+00:00"
},
{
"id": 5623,
"po_number": "po-2",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 50,
"po_value": 500.0,
"created_at": "2026-03-23T10:34:58.936013+00:00",
"updated_at": "2026-03-23T10:34:58.936024+00:00"
}
],
"appointment_info": [
{
"id": 538,
"appointment_id": null,
"appointment_start_time": "2026-05-25T10:00:00+00:00",
"appointment_end_time": "2026-05-25T12:00:00+00:00",
"created_at": "2026-03-23T10:34:58.948942+00:00",
"updated_at": "2026-03-23T10:34:58.948949+00:00"
}
]
}
}{
"meta": {
"status": 200,
"message": "Sales order retrieved successfully - Order Creation is FAILED",
"success": true
},
"result": {
"id": 4173,
"sales_order_number": "02345681",
"sales_order_date": "2026-03-17",
"sales_order_value": 500.0,
"sales_order_quantity": 10,
"box_stickers": null,
"label_url": null,
"reference_number": "01213120",
"channel": "test-channel",
"order_type": "PREPAID",
"delivery_type": "FORWARD",
"courier_partner_pk": 280642,
"account_code_pk": 1002787,
"courier_partner": "Self FTL",
"parnter_id": 570,
"account_code": "Test02",
"carrier_account": "Self FTL - Test02",
"child_waybill_list": [],
"uber_status_code": null,
"pickup_date": null,
"shipment_creation_status": "FAILED",
"recommendation_status": "NOT-STARTED",
"shipment_failed_reason": "Order Creation Failed",
"recommendation_failed_reason": null,
"order_status": "NEW",
"source": "test-source",
"cod_amount": 0.0,
"shipment_weight": 3000.0,
"shipment_weight_unit": null,
"created_at": "2026-03-20T06:24:03.818087+00:00",
"updated_at": "2026-03-20T06:24:04.093595+00:00",
"pickup_info": {
"id": 4045,
"enterprise_gstin": "test",
"created_at": "2026-03-20T06:24:03.835706+00:00",
"updated_at": "2026-03-20T06:24:03.835720+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"time_format": null,
"time": "06:22",
"date": "2022-10-27",
"date_format": null,
"name": null,
"phone": null,
"email": "[email protected]",
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"city": null,
"state": "TamilNadu",
"country": "India",
"pincode": "600034",
"organisation": "test_organisation",
"poc_name": null,
"poc_phone": null,
"poc_email": "[email protected]"
},
"drop_info": {
"id": 3835,
"consignee_gstin": "CONSIGNEEGST",
"created_at": "2026-03-20T06:24:03.844407+00:00",
"updated_at": "2026-03-20T06:24:03.844418+00:00",
"location_code": null,
"location_code_id": null,
"location_tag": null,
"name": "Mr Himesh",
"phone": "999999999",
"email": "[email protected]",
"address": "104, Kamaraj Salai,",
"city": "Puducherry",
"state": "Puducherry",
"country": "India",
"pincode": "605001",
"organisation": "test_organisation",
"poc_name": "Mr Himesh",
"poc_phone": "999999999",
"poc_email": "[email protected]"
},
"total_box_count": 2,
"total_sku_count": 202,
"total_invoice_quantity": 50,
"total_invoice_value": 20000.0,
"invoice_number_list": [
"inv-134",
"inv-2"
],
"total_po_quantity": 70,
"total_po_value": 700.0,
"parent_purchase_orders": [],
"total_parent_po_quantity": 0,
"total_parent_po_value": 0,
"waybill": "TEST-1234",
"products_in_shipment": [
{
"id": 1733,
"sku": "test_sku",
"sku_count": 2,
"sku_name": null,
"hsn_code": "HSN-001",
"manufacturer_country_code": null,
"manufacturer_country": "manufactur cat",
"description": "test description",
"product_category": "productcat",
"product_taxable_value": 10000.0,
"product_cgst_percentage_rate": null,
"product_cgst_amount": null,
"product_sgst_percentage_rate": null,
"product_sgst_amount": null,
"product_igst_percentage_rate": null,
"product_igst_amount": null,
"product_cess_rate": null,
"product_cess_amount": null,
"product_weight": null,
"product_length": null,
"product_breadth": null,
"product_height": null,
"product_unit": null
},
{
"id": 1734,
"sku": "test_sku-2",
"sku_count": 200,
"sku_name": null,
"hsn_code": null,
"manufacturer_country_code": null,
"manufacturer_country": null,
"description": "test description-2",
"product_category": null,
"product_taxable_value": 10000.0,
"product_cgst_percentage_rate": null,
"product_cgst_amount": null,
"product_sgst_percentage_rate": null,
"product_sgst_amount": null,
"product_igst_percentage_rate": null,
"product_igst_amount": null,
"product_cess_rate": null,
"product_cess_amount": null,
"product_weight": null,
"product_length": null,
"product_breadth": null,
"product_height": null,
"product_unit": null
}
],
"box_info": [
{
"id": 9836,
"count": 1,
"box_ref_number": null,
"length": 10.0,
"breadth": 10.0,
"weight": 10.0,
"height": 10.0,
"child_waybill": null,
"created_at": "2026-03-20T06:24:03.866560+00:00",
"updated_at": "2026-03-20T06:24:03.866575+00:00"
},
{
"id": 9837,
"count": 1,
"box_ref_number": null,
"length": 10.0,
"breadth": 10.0,
"weight": 10.0,
"height": 10.0,
"child_waybill": null,
"created_at": "2026-03-20T06:24:03.886139+00:00",
"updated_at": "2026-03-20T06:24:03.886154+00:00"
}
],
"invoice_info": [
{
"id": 5048,
"invoice_number": "inv-134",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 20,
"ewaybill_serial_number": "ewaybill-1",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-20T06:24:03.851283+00:00",
"updated_at": "2026-03-20T06:24:03.851294+00:00",
"irn": "irn-1"
},
{
"id": 5049,
"invoice_number": "inv-2",
"invoice_base64": null,
"invoice_value": 10000.0,
"invoice_date": "2024-09-30",
"invoice_quantity": 30,
"ewaybill_serial_number": "ewaybill-2",
"ewaybill_expiry_date": "2026-03-17",
"invoice_description": "Contains 36 qty",
"created_at": "2026-03-20T06:24:03.855764+00:00",
"updated_at": "2026-03-20T06:24:03.855775+00:00",
"irn": "irn-2"
}
],
"purchase_order_info": [
{
"id": 5508,
"po_number": "po-1",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 20,
"po_value": 200.0,
"created_at": "2026-03-20T06:24:03.857673+00:00",
"updated_at": "2026-03-20T06:24:03.857685+00:00"
},
{
"id": 5509,
"po_number": "po-2",
"po_expiry_date": "2024-09-30",
"po_issue_date": "2026-03-20",
"po_quantity": 50,
"po_value": 500.0,
"created_at": "2026-03-20T06:24:03.862341+00:00",
"updated_at": "2026-03-20T06:24:03.862353+00:00"
}
],
"appointment_info": [
{
"id": 530,
"appointment_id": null,
"appointment_start_time": "2026-05-25T10:00:00+00:00",
"appointment_end_time": "2026-05-25T12:00:00+00:00",
"created_at": "2026-03-20T06:24:03.895716+00:00",
"updated_at": "2026-03-20T06:24:03.895723+00:00"
}
]
}
}{
"meta": {
"status": 404,
"message": "Sales order not found",
"success": false
},
"result": {}
}{
"meta": {
"status": 400,
"message": "sales_order_number is required",
"success": false
},
"result": {}
}Webhook Mechanism
If you do not wish to poll the API, we can also push the success and failure response of this API in your webhook URL. The response structure received in the webhook payload will look like this below:
{
"meta": {
"status": 200,
"success": true,
"message": "Order Placed Successfully",
"reference_number": "TEST-om-123123124"
},
"tracking_id": 1453644353,
"result": {
"label": "https://pyck-res-bucket.s3.amazonaws.com:443/GATIweweB2B/2025-03-12/52.pdf",
"box_stickers": {
"A6": "https://clickpost-label-mumbai.s3.amazonaws.com:443/forevernew-test/2025-03-12/1741wqeqw79.pdf",
"A8": "https://clickpost-label-mumbai.s3.amazonaws.com:443/forevernew-test/2025-03-12/174eqweq18.pdf"
},
"waybill": "5282eqweqwe6",
"child_waybill": [
"90803",
"908804",
"9088705",
"903906",
"908877",
"90808"
],
"reference_number": "TEST-om-123123124",
"security_key": "4ba78ad3-62f6-4a24-b98f-ec122f",
"courier_name": "Gati B2B MPS",
"courier_partner_id": 71,
"account_code": "Gati"
}Validations
- Location master is supported for 2 combinations- Only Pickup and Pickup +Drop.
- If location master is enabled then you can send either the location code or leave the location code empty and send the data in other fields mentioned below. Do not send both location code and data in these fields in the same request.
- lat
- long
- name
- organization
- address
- district
- city
- state
- landmark
- phone
- pincode
- country
- address_type
- If box master is enabled the box length, breadth and height fields should be left empty. If these fields are not empty then you will receive an error.
- If you are sending box reference number prefix in any of the box subjects then you need to send it in all the box objects. Either send it in all box objects or dont send it at all.
- Box reference number prefix has to be unique for each box object.
bill_fromandbill_toobjects are optional. If they are not sent thenpickup_infodetails are copied intobill_fromanddrop_infodetails are copied intobill_to. If any of these objects is sent thenaddress,city,pincode,state,legal_name,trade_nameandgstinbecome mandatory inside that object.gstininsidebill_fromandbill_tocan either be a 15 digit long GSTIN code or the phraseURP(Unregistered Person). Any other value will be rejected.supply_typeinside invoice_info can only take the valuesInwardorOutward.sub_supply_typeinside invoice_info can only take the valuesSupply,Import,Export,Job Work,For Own Use,Job work Returns,Sales Return,Others,SKD/CKD/Lots,Line Sales,Recipient Not KnownorExhibition or Fairs.document_typeinside invoice_info can only take the valuesTax Invoice,Bill of Supply,Bill of Entry,Delivery ChallanorOthers.transaction_typeinside shipment_info can only take the valuesRegular,Bill To-Ship To,Bill From-Dispatch FromorCombination of 2 and 3.hsn_codeinside product_info and products_in_shipment can be a maximum of 8 digits.
Updated about 1 month ago
